diff --git a/src/common/Parameter.cpp b/src/common/Parameter.cpp
index 1ff0ca51a..f84e910ef 100644
--- a/src/common/Parameter.cpp
+++ b/src/common/Parameter.cpp
@@ -1301,7 +1301,7 @@ std::string Parameter::tempoSyncNotationValue(float f)
     return res;
 }
 
-void Parameter::get_display_of_modulation_depth(char *txt, float modulationDepth, bool isBipolar, ModulationDisplayMode displaymode )
+void Parameter::get_display_of_modulation_depth(char *txt, float modulationDepth, bool isBipolar, ModulationDisplayMode displaymode, ModulationDisplayInfoWindowStrings *iw )
 {
    int detailedMode = false;
    
@@ -1349,19 +1349,43 @@ void Parameter::get_display_of_modulation_depth(char *txt, float modulationDepth
          return;
       case Menu:
          if( isBipolar )
-            sprintf( txt, "%.*f ... %.*f %s", displayInfo.decimals, f - mf, displayInfo.decimals, f + mf, u.c_str() );
+            sprintf( txt, "+/- %.*f %s", displayInfo.decimals, mf, u.c_str() );
          else
-            sprintf( txt, "%.*f ... %.*f %s", displayInfo.decimals, f, displayInfo.decimals, f + mf, u.c_str() );
+            sprintf( txt, "%.*f %s", displayInfo.decimals, mf, u.c_str() );
          return;
          break;
       case InfoWindow:
+      {
          if( isBipolar )
+         {
+            if( iw )
+            {
+               char itxt[1024];
+               sprintf( itxt, "%.*f %s", displayInfo.decimals, f, u.c_str() ); iw->val = itxt;
+               sprintf( itxt, "%.*f", displayInfo.decimals, f+mf ); iw->valplus = itxt;
+               sprintf( itxt, "%.*f", displayInfo.decimals, f-mf ); iw->valminus = itxt;
+               sprintf( itxt, "%.*f", displayInfo.decimals, +mf ); iw->dvalplus = itxt;
+               sprintf( itxt, "%.*f", displayInfo.decimals, -mf ); iw->dvalminus = itxt;
+            }
             sprintf( txt, "%.*f %s %.*f %s %.*f %s", displayInfo.decimals, f - mf, lowersep, displayInfo.decimals, f, uppersep, displayInfo.decimals, f + mf, u.c_str() );
+         }
          else
+         {
+            if( iw )
+            {
+               char itxt[1024];
+               sprintf( itxt, "%.*f %s", displayInfo.decimals, f, u.c_str() ); iw->val = itxt;
+               sprintf( itxt, "%.*f", displayInfo.decimals, f+mf ); iw->valplus = itxt;
+               iw->valminus = "";
+               sprintf( itxt, "%.*f", displayInfo.decimals, +mf ); iw->dvalplus = itxt;
+               iw->dvalminus = "";
+            }
             sprintf( txt, "%.*f %s %.*f %s", displayInfo.decimals, f, uppersep, displayInfo.decimals, f + mf, u.c_str() );
+         }
          return;
          break;
       }
+      }
       
       break;
    }
@@ -1403,22 +1427,44 @@ void Parameter::get_display_of_modulation_depth(char *txt, float modulationDepth
          switch( displaymode )
          {
          case TypeIn:
-            sprintf( txt, "%.*f %s", dp3, mp - v, u.c_str() );
+            sprintf( txt, "%.*f %s", displayInfo.decimals, mp - v, u.c_str() );
             break;
          case Menu:
             if( isBipolar )
-               sprintf( txt, "%.*f ... %.*f %s", dp3, mn, dp3, mp, u.c_str() );
+               sprintf( txt, "%.*f / %.*f %s", displayInfo.decimals, mn-v, displayInfo.decimals, mp-v, u.c_str() );
             else
-               sprintf( txt, "%.*f ... %.*f %s", dp3, v, dp3, mp, u.c_str() );
+               sprintf( txt, "%.*f %s", displayInfo.decimals, mp-v, u.c_str() );
             break;
          case InfoWindow:
          {
             if (isBipolar)
             {
-               sprintf(txt, "%.*f %s %.*f %s %.*f %s", dp3, mn, lowersep, dp3, v, uppersep, dp3, mp, u.c_str());
+               if( iw )
+               {
+                  char itxt[1024];
+                  sprintf( itxt, "%.*f %s", displayInfo.decimals, v, u.c_str() ); iw->val = itxt;
+                  sprintf( itxt, "%.*f", displayInfo.decimals, mp ); iw->valplus = itxt;
+                  sprintf( itxt, "%.*f", displayInfo.decimals, mn ); iw->valminus = itxt;
+                  sprintf( itxt, "%.*f", displayInfo.decimals, mp-v ); iw->dvalplus = itxt;
+                  sprintf( itxt, "%.*f", displayInfo.decimals, v-mn ); iw->dvalminus = itxt;
+               }
+
+               sprintf(txt, "%.*f %s %.*f %s %.*f %s", displayInfo.decimals, mn, lowersep, displayInfo.decimals, v, uppersep, displayInfo.decimals, mp, u.c_str());
             }
             else
-               sprintf(txt, "%.*f %s %.*f %s", dp3, v, uppersep, dp3, mp, u.c_str());
+            {
+               if( iw )
+               {
+                  char itxt[1024];
+                  sprintf( itxt, "%.*f %s", displayInfo.decimals, v, u.c_str() ); iw->val = itxt;
+                  sprintf( itxt, "%.*f", displayInfo.decimals, mn ); iw->valplus = itxt;
+                  iw->valminus = "";
+                  sprintf( itxt, "%.*f", displayInfo.decimals, mp-v ); iw->dvalplus = itxt;
+                  iw->dvalminus = "";
+               }
+
+               sprintf(txt, "%.*f %s %.*f %s", displayInfo.decimals, v, uppersep, displayInfo.decimals, mp, u.c_str());
+            }
             break;
          }
          }
diff --git a/src/common/Parameter.h b/src/common/Parameter.h
index f993499f0..eaaff54ab 100644
--- a/src/common/Parameter.h
+++ b/src/common/Parameter.h
@@ -227,6 +227,15 @@ class PositionHolder
    int val;
 };
 
+// used to make the infowindow
+struct ModulationDisplayInfoWindowStrings {
+   std::string val;
+   std::string valplus;
+   std::string valminus;
+   std::string dvalplus;
+   std::string dvalminus;
+};
+
 class SurgeStorage;
 
 /*
@@ -280,7 +289,8 @@ class Parameter
       Menu,
       InfoWindow
    };
-   void get_display_of_modulation_depth(char* txt, float modulationDepth, bool isBipolar, ModulationDisplayMode mode );
+
+   void get_display_of_modulation_depth(char* txt, float modulationDepth, bool isBipolar, ModulationDisplayMode mode, ModulationDisplayInfoWindowStrings *iw = nullptr );
    void get_display_alt(char* txt, bool external = false, float ef = 0.f);
    char* get_storage_value(char*);
    void set_storage_value(int i);
diff --git a/src/common/gui/CParameterTooltip.h b/src/common/gui/CParameterTooltip.h
index 806364d00..98971763f 100644
--- a/src/common/gui/CParameterTooltip.h
+++ b/src/common/gui/CParameterTooltip.h
@@ -3,6 +3,7 @@
 //-------------------------------------------------------------------------------------------------------
 #pragma once
 #include "vstcontrols.h"
+#include "Parameter.h"
 #include <iostream>
 
 class CParameterTooltip : public VSTGUI::CControl
@@ -99,22 +100,59 @@ class CParameterTooltip : public VSTGUI::CControl
          tupper.bottom = tupper.top + 13;
          tlower.top = tlower.bottom - 15;
 
-         if (label[0][0])
-             dc->drawString(label[0], tupper, VSTGUI::kLeftText, true);
-         // dc->drawString(label[1],tlower,false,label[0][0]?kRightText:kCenterText);
-         dc->drawString(label[1], tlower, VSTGUI::kRightText, true);
-         if( label2left[0] )
-            dc->drawString(label2left, tlower, VSTGUI::kLeftText, true);
+         if( hasiwstrings )
+         {
+            VSTGUI::CRect tmid(trect);
+            tmid.bottom = trect.bottom - 18;
+            tmid.top = trect.top + 15;
+            if (label[0][0])
+            {
+               dc->drawString(label[0], tupper, VSTGUI::kLeftText, true);
+            }
+            dc->drawString( iwstrings.val.c_str(), tmid, VSTGUI::kCenterText, true );
+            dc->drawString( iwstrings.valplus.c_str(), tmid, VSTGUI::kRightText, true );
+            dc->drawString( iwstrings.valminus.c_str(), tmid, VSTGUI::kLeftText, true );
+
+            dc->drawString( "width", tlower, VSTGUI::kCenterText, true );
+            dc->drawString( iwstrings.dvalplus.c_str(), tlower, VSTGUI::kRightText, true );
+            dc->drawString( iwstrings.dvalminus.c_str(), tlower, VSTGUI::kLeftText, true );
+         }
+         else
+         {
+            if (label[0][0])
+            {
+               dc->drawString(label[0], tupper, VSTGUI::kLeftText, true);
+            }
+            // dc->drawString(label[1],tlower,false,label[0][0]?kRightText:kCenterText);
+            dc->drawString(label[1], tlower, VSTGUI::kRightText, true);
+                     
+            if( label2left[0] )
+            {
+               dc->drawString(label2left, tlower, VSTGUI::kLeftText, true);
+            }
+         }
          // dc->copyFrom(dc1,smaller);
          // dc->forget();
       }
       setDirty(false);
    }
 
+   void setMDIWS( const ModulationDisplayInfoWindowStrings &i )
+      {
+         iwstrings = i;
+         hasiwstrings = true;
+      }
+
+   void clearMDIWS() { hasiwstrings = false; }
+   bool hasMDIWS() { return hasiwstrings; }
+   
 protected:
    char label[2][256], label2left[256];
    bool visible;
    int last_tag;
 
+   ModulationDisplayInfoWindowStrings iwstrings;
+   bool hasiwstrings = false;
+   
    CLASS_METHODS(CParameterTooltip, VSTGUI::CControl)
 };
diff --git a/src/common/gui/SurgeGUIEditor.cpp b/src/common/gui/SurgeGUIEditor.cpp
index 40d6eaec4..c3143f0a6 100644
--- a/src/common/gui/SurgeGUIEditor.cpp
+++ b/src/common/gui/SurgeGUIEditor.cpp
@@ -3860,8 +3860,19 @@ void SurgeGUIEditor::valueChanged(CControl* control)
 
             synth->getParameterName(ptag, txt);
             sprintf(pname, "%s -> %s", modulatorName(thisms,true).c_str(), txt);
-            p->get_display_of_modulation_depth(pdisp, synth->getModDepth(ptag, thisms), synth->isBipolarModulation(thisms), Parameter::InfoWindow);
-            ((CParameterTooltip*)infowindow)->setLabel(pname, pdisp);
+            ModulationDisplayInfoWindowStrings mss;
+            p->get_display_of_modulation_depth(pdisp, synth->getModDepth(ptag, thisms), synth->isBipolarModulation(thisms), Parameter::InfoWindow, &mss);
+            if( mss.val != "" )
+            {
+               ((CParameterTooltip*)infowindow)->setLabel(pname, pdisp);
+               ((CParameterTooltip*)infowindow)->setMDIWS(mss);
+               
+            }
+            else
+            {
+               ((CParameterTooltip*)infowindow)->setLabel(pname, pdisp);
+               ((CParameterTooltip*)infowindow)->clearMDIWS();
+            }
             modulate = true;
 
             if (isCustomController(modsource))
@@ -3940,6 +3951,7 @@ void SurgeGUIEditor::valueChanged(CControl* control)
                char pdispalt[256];
                synth->getParameterDisplayAlt(ptag, pdispalt);
                ((CParameterTooltip*)infowindow)->setLabel(0, pdisp, pdispalt);
+               ((CParameterTooltip*)infowindow)->clearMDIWS();
                if (p->ctrltype == ct_polymode)
                   modulate = true;
             }
@@ -4169,7 +4181,8 @@ void SurgeGUIEditor::draw_infowindow(int ptag, CControl* control, bool modulate,
    
    CRect r(0, 0, iff, 18);
    if (modulate)
-      r.bottom += 18;
+      r.bottom += ( ((CParameterTooltip*)infowindow)->hasMDIWS() ? 36 : 18 );
+   
    CRect r2 = control->getViewSize();
 
    // OK this is a heuristic to stop deform overpainting and stuff 
